#if !defined(AFX_TRADEDLG_H__103D8A6D_2892_11D4_9FC1_080009EE62AA__INCLUDED_)
#define AFX_TRADEDLG_H__103D8A6D_2892_11D4_9FC1_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TradeDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTradeDlg dialog

class CTradeDlg : public CDialog
{
// Construction
public:
	bool m_IsNew;
	CTradeDlg(CWnd* pParent = NULL);   // standard constructor

	// Local copy of recordset
	CPNADORecordset m_TradeSet;

// Dialog Data
	//{{AFX_DATA(CTradeDlg)
	enum { IDD = IDD_TRADEDLG };
	COleDateTime	m_Date;
	double	m_Change;
	double	m_Price;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTradeDlg)
	public:
	virtual int DoModal(CPNADORecordset& TradeSet, bool IsAdd, int StockID);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTradeDlg)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRADEDLG_H__103D8A6D_2892_11D4_9FC1_080009EE62AA__INCLUDED_)
